#ifndef KSVCONFIGWIZARD_H
#define KSVCONFIGWIZARD_H
#include "configwizard.h"

#include <qstring.h>

class KSVConfigWizard : public ConfigWizard
{ 
  Q_OBJECT
  
public:
  KSVConfigWizard( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
  ~KSVConfigWizard();

public:
  QString runlevelPath();
  QString servicesPath();

protected slots:
  void browseRunlevels();
  void chooseDistribution(int);
  void browseServices();

private slots:
  void selectedPage (const QString&);

private:
  typedef enum {
    Debian=0,
    RedHat=1,
    SuSE=2,
    Mandrake=3,
    Corel=4,
    Other=5
  } Distribution;

  Distribution mChosenDistribution;
};

#endif // KSVCONFIGWIZARD_H
